package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.DksqLcjlMapper;
import com.ruoyi.system.domain.DksqLcjl;
import com.ruoyi.system.service.IDksqLcjlService;

/**
 * 贷款申请_流程记录Service业务层处理
 * 
 * @author boman
 * @date 2023-06-15
 */
@Service
public class DksqLcjlServiceImpl implements IDksqLcjlService 
{
    @Autowired
    private DksqLcjlMapper dksqLcjlMapper;

    /**
     * 查询贷款申请_流程记录
     * 
     * @param id 贷款申请_流程记录主键
     * @return 贷款申请_流程记录
     */
    @Override
    public DksqLcjl selectDksqLcjlById(Long id)
    {
        return dksqLcjlMapper.selectDksqLcjlById(id);
    }

    /**
     * 查询贷款申请_流程记录列表
     * 
     * @param dksqLcjl 贷款申请_流程记录
     * @return 贷款申请_流程记录
     */
    @Override
    public List<DksqLcjl> selectDksqLcjlList(DksqLcjl dksqLcjl)
    {
        return dksqLcjlMapper.selectDksqLcjlList(dksqLcjl);
    }

    /**
     * 新增贷款申请_流程记录
     * 
     * @param dksqLcjl 贷款申请_流程记录
     * @return 结果
     */
    @Override
    public int insertDksqLcjl(DksqLcjl dksqLcjl)
    {
        dksqLcjl.setCreateTime(DateUtils.getNowDate());
        return dksqLcjlMapper.insertDksqLcjl(dksqLcjl);
    }

    /**
     * 修改贷款申请_流程记录
     * 
     * @param dksqLcjl 贷款申请_流程记录
     * @return 结果
     */
    @Override
    public int updateDksqLcjl(DksqLcjl dksqLcjl)
    {
        dksqLcjl.setUpdateTime(DateUtils.getNowDate());
        return dksqLcjlMapper.updateDksqLcjl(dksqLcjl);
    }

    /**
     * 批量删除贷款申请_流程记录
     * 
     * @param ids 需要删除的贷款申请_流程记录主键
     * @return 结果
     */
    @Override
    public int deleteDksqLcjlByIds(Long[] ids)
    {
        return dksqLcjlMapper.deleteDksqLcjlByIds(ids);
    }

    /**
     * 删除贷款申请_流程记录信息
     * 
     * @param id 贷款申请_流程记录主键
     * @return 结果
     */
    @Override
    public int deleteDksqLcjlById(Long id)
    {
        return dksqLcjlMapper.deleteDksqLcjlById(id);
    }
}
